Query Item Variations
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/items/{itemId}/variations \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/items/{itemId}/variations"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/items/{itemId}/variations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"ItemId": 123,
"Name": "<string>",
"Type": 0,
"Translations": [
{
"LanguageIso": "<string>",
"Name": "<string>"
}
]
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Item
Query Item Variations
deprecated
Query all variations for a specific item
GET
/
v1
/
items
/
{itemId}
/
variations
Query Item Variations
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the item that the variations belong to.
Response
The requested item variations.
Unique ID to identify a variation.
Unique ID to identify an item.
Name of a variation in the default language.
The type of variation.
Available options:
0, 1, 2, 3, 4, 5 Different terms for a variation in the non-default languages.
Show child attributes
Show child attributes
Was this page helpful?